Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2171682 - python-pandas: FTBFS in Fedora rawhide/f38
Summary: python-pandas: FTBFS in Fedora rawhide/f38
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pandas
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS PYTHON3.12
TreeView+ depends on / blocked
 
Reported: 2023-02-20 12:00 UTC by Fedora Release Engineering
Modified: 2023-04-22 22:22 UTC (History)
11 users (show)

Fixed In Version: python-pandas-1.5.3-2.fc39 python-pandas-1.5.3-2.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-14 06:29:49 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github matplotlib matplotlib issues 25538 0 None closed [Bug]: AttributeError: 'NoneType' object has no attribute 'rowspan' with mpl >=3.7 2023-04-13 18:20:17 UTC

Description Fedora Release Engineering 2023-02-20 12:00:53 UTC
python-pandas failed to build from source in Fedora rawhide/f38

https://koji.fedoraproject.org/koji/taskinfo?taskID=96426892


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
Please fix python-pandas at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-pandas will be orphaned. Before branching of Fedora 39,
python-pandas will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Ben Beasley 2023-02-20 14:16:07 UTC
I think the correct solution to this will be to finish validating the update to 1.5.3 and build that.

https://src.fedoraproject.org/rpms/python-pandas/pull-request/14

Comment 2 Ben Beasley 2023-04-13 18:20:17 UTC
Just did a fedpkg mockbuild --enablerepo=local for Rawhide on x86_64, and got the following:


=================================== FAILURES ===================================
______________________ TestDataFramePlots.test_plain_axes ______________________
[gw0] linux -- Python 3.11.3 /usr/bin/python3

self = <pandas.tests.plotting.frame.test_frame.TestDataFramePlots object at 0x7f
df2a0107d0>

    def test_plain_axes(self): 

        # supplied ax itself is a SubplotAxes, but figure contains also
        # a plain Axes object (GH11556)
        fig, ax = self.plt.subplots()
        fig.add_axes([0.2, 0.2, 0.2, 0.2])
>       Series(np.random.rand(10)).plot(ax=ax)

../../../BUILDROOT/python-pandas-1.5.3-1.fc39.x86_64/usr/lib64/python3.11/site-p
ackages/pandas/tests/plotting/frame/test_frame.py:1960:
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _
../../../BUILDROOT/python-pandas-1.5.3-1.fc39.x86_64/usr/lib64/python3.11/site-p
ackages/pandas/plotting/_core.py:1000: in __call__
    return plot_backend.plot(data, kind=kind, **kwargs)
../../../BUILDROOT/python-pandas-1.5.3-1.fc39.x86_64/usr/lib64/python3.11/site-p
ackages/pandas/plotting/_matplotlib/__init__.py:71: in plot
    plot_obj.generate()
../../../BUILDROOT/python-pandas-1.5.3-1.fc39.x86_64/usr/lib64/python3.11/site-p
ackages/pandas/plotting/_matplotlib/core.py:455: in generate
    self._adorn_subplots()
../../../BUILDROOT/python-pandas-1.5.3-1.fc39.x86_64/usr/lib64/python3.11/site-p
ackages/pandas/plotting/_matplotlib/core.py:679: in _adorn_subplots
    handle_shared_axes(
../../../BUILDROOT/python-pandas-1.5.3-1.fc39.x86_64/usr/lib64/python3.11/site-p
ackages/pandas/plotting/_matplotlib/tools.py:410: in handle_shared_axes
    layout[row_num(ax), col_num(ax)] = ax.get_visible()
_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _

x = <Axes: >

>   row_num = lambda x: x.get_subplotspec().rowspan.start
E   AttributeError: 'NoneType' object has no attribute 'rowspan'

This is a match for https://github.com/matplotlib/matplotlib/issues/25538, which should be fixed by https://github.com/pandas-dev/pandas/pull/52150. I will try backporting it.

Comment 3 Fedora Update System 2023-04-14 06:28:09 UTC
FEDORA-2023-6148fe4ccb has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6148fe4ccb

Comment 4 Fedora Update System 2023-04-14 06:29:49 UTC
FEDORA-2023-6148fe4ccb has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Tomáš Hrnčiar 2023-04-14 06:44:53 UTC
Thank you!

Comment 6 Fedora Update System 2023-04-14 11:44:27 UTC
FEDORA-2023-9eb8529663 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9eb8529663

Comment 7 Fedora Update System 2023-04-15 01:50:54 UTC
FEDORA-2023-9eb8529663 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9eb8529663`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9eb8529663

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-04-22 22:22:10 UTC
FEDORA-2023-9eb8529663 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.